Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2EnumeratedInputSymbol Class Reference

Represents a enumerated input symbol of the Xabsl2Engine. More...

`#include <Xabsl2Symbols.h>`

Inheritance diagram for Xabsl2EnumeratedInputSymbol:

[legend]
Collaboration diagram for Xabsl2EnumeratedInputSymbol:

[legend]
List of all members.

## Public Member Functions
| Xabsl2EnumeratedInputSymbol (const char *name, const int *pVariable)
| Constructor.
| Xabsl2EnumeratedInputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, int(Xabsl2FunctionProvider::*pFunction)())
| Constructor.
| ~Xabsl2EnumeratedInputSymbol ()
| Destructor.
## Public Attributes
Xabsl2Array< Xabsl2EnumElement * > | enumElements
| Assignes a enum value from a function or variable in the software environment to the enum-element string in the XML formalization.

## Detailed Description

Represents a enumerated input symbol of the Xabsl2Engine.

Author:
  Martin Lötzsch

Definition at line 195 of file Xabsl2Symbols.h.

## Constructor & Destructor Documentation

Xabsl2EnumeratedInputSymbol::Xabsl2EnumeratedInputSymbol | ( | const char * | name,
|  | const int * | pVariable
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the symbol, for debugging purposes
  pVariable | A pointer to the variable that the symbol stands for
Definition at line 203 of file Xabsl2Symbols.h.

Xabsl2EnumeratedInputSymbol::Xabsl2EnumeratedInputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | int(Xabsl2FunctionProvider::* | pFunction)()
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the symbol, for debugging purposes
  pFunction | A pointer to an int returning function in the software environment
  pInstance | A pointer to the instance that contains the function
Definition at line 213 of file Xabsl2Symbols.h.

Xabsl2EnumeratedInputSymbol::~Xabsl2EnumeratedInputSymbol | ( |  | ) |

| Destructor. Deletes the enum elements Definition at line 11 of file Xabsl2Symbols.cpp. References enumElements, and Xabsl2Array< Xabsl2EnumElement * >::getSize().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2Array<Xabsl2EnumElement*> Xabsl2EnumeratedInputSymbol::enumElements

| Assignes a enum value from a function or variable in the software environment to the enum-element string in the XML formalization. Definition at line 224 of file Xabsl2Symbols.h. Referenced by Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), GTXabsl2EngineExecutor::sendDebugMessage(), Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison(), and ~Xabsl2EnumeratedInputSymbol().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.cpp